Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007890Dwarf FortressDwarf Mode -- Petspublic2014-08-07 04:582018-02-07 15:19
Reporteredmus 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformPCOSwin8OS Versionlatest
Product Version0.40.06 
Target VersionFixed in VersionNext Version 
Summary0007890: Dwarves form grudges with animals
DescriptionI'm not sure if this is a bug or not, but I observed this on my animal trainer.
Additional InformationHe has plenty of bonded animals and friendly terms animals, yet one animal he has a grudge with.
TagsIntentional/Expected?
Attached Files

- Relationships
related to 0010366resolvedToady One Dwarves have sentient relationships with other migrant pets 

-  Notes
(0028573)
Aquillion (reporter)
2014-08-08 00:08

Doesn't seem like a bug to me; there's no reason a dwarf couldn't decide that he really hates that dog or cat.
(0028689)
musicmastermsh (reporter)
2014-08-09 18:59

Happens in real life - seems like a realistic feature to me. Source: there's this one dog I really can't stand.
(0029330)
troas (reporter)
2014-08-19 13:55

It is funny to see one of my dwarfs get unhappy thoughts from being "forced to talk to somebody annoying lately" based on his grudge with a dog.
(0029335)
Talvieno (reporter)
2014-08-19 16:53
edited on: 2014-08-19 16:53

Troas - that probably IS a bug. Do you have a save of it?

For the rest: I don't think this is a bug at all.

(0029337)
troas (reporter)
2014-08-19 19:21

DFFD refuses to let me load due to some cloudflare error, so here's a copy link: https://copy.com/9kHyuEamq9ssaJJM [^]

Look for the Lumberjack/Captain of the guard. This dwarf has only one grudge - against a stray war dog. And also an unhappy thought from talking to the dog.

40.08 save, and the thought happened in 40.08 but the world was generated in 40.06. I've made minor raw modifications (dwarven higher learning mod) but nothing that should affect this.

- Issue History
Date Modified Username Field Change
2014-08-07 04:58 edmus New Issue
2014-08-07 06:45 Footkerchief Tag Attached: Intentional/Expected?
2014-08-08 00:08 Aquillion Note Added: 0028573
2014-08-09 18:59 musicmastermsh Note Added: 0028689
2014-08-19 13:55 troas Note Added: 0029330
2014-08-19 16:53 Talvieno Note Added: 0029335
2014-08-19 16:53 Talvieno Note Edited: 0029335 View Revisions
2014-08-19 19:21 troas Note Added: 0029337
2014-08-20 06:02 troas Issue Monitored: troas
2017-11-26 15:15 Detros Relationship added related to 0010366
2018-02-07 15:19 Toady One Status new => resolved
2018-02-07 15:19 Toady One Fixed in Version => Next Version
2018-02-07 15:19 Toady One Resolution open => fixed
2018-02-07 15:19 Toady One Assigned To => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker